%define build_debug 1
%{?_with_debug: %{expand: %%global build_debug 1}}

# Plugin versions
%define src_ver 2.0.0
%define pack_ver 2.0.0

%define libname %mklibname qca2

Name: qca2-plugins
Version: 2.0.0
Release: %mkrel 7
License: LGPL
Summary: Straightforward and cross-platform crypto API for Qt
Group: System/Libraries
URL: http://delta.affinix.com/qca
Source0: http://delta.affinix.com/download/qca/%{version}/beta7/qca-gnupg-%{src_ver}.tar.bz2
Source1: http://delta.affinix.com/download/qca/%{version}/beta7/qca-ossl-%{src_ver}.tar.bz2
Source2: http://delta.affinix.com/download/qca/%{version}/beta7/qca-pkcs11-%{src_ver}.tar.bz2
Source3: http://delta.affinix.com/download/qca/%{version}/beta7/qca-cyrus-sasl-%{src_ver}.tar.bz2
Source4: http://delta.affinix.com/download/qca/%{version}/beta7/qca-logger-%{src_ver}.tar.bz2
Patch0: qca-ossl-deprecated.patch
# fixes build (modelled after fedora patch of qca-gnupg):
Patch1: qca-gnupg-includes.patch
Patch2: qca-ossl-includes.patch
Patch3: qca-pkcs11-includes.patch
Patch4: qca-cyrus-sasl-includes.patch
Patch5: qca-logger-includes.patch
# From SVN, fixes build
Patch6: qca-ossl-svn-setsessionid-stub.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: qt4-devel >= 2:4.3
BuildRequires: qca2-devel >= 2.0

%description
The QCA plugins provides crypto modules for qca2

#------------------------------------------------------------------------------

%package -n %{libname}-plugin-gnupg
Summary: GnuPG plugin for QCA
Group: Development/KDE and Qt
Version: %{pack_ver}
Provides: qca2-gnupg = %version
Provides: qca2-plugin-gnupg-%{_lib} = %{version}-%{release}
Obsoletes: qca2-plugin-gnupg-%{_lib} < 2.0.0-5

%description -n %{libname}-plugin-gnupg
This is a plugin to provide GnuPG capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n %{libname}-plugin-gnupg
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-gnupg.*

#------------------------------------------------------------------------------

%package -n %{libname}-plugin-openssl
Summary: OpenSSL plugin for QCA
Group: Development/KDE and Qt
Version: %{pack_ver}
BuildRequires: openssl-devel
Provides: qca2-openssl = %version
Provides: qca2-tls = %version
Provides: qca2-plugin-openssl-%{_lib} = %{version}-%{release}
Obsoletes: qca2-plugin-openssl-%{_lib} < 2.0.0-5

%description -n %{libname}-plugin-openssl
This is a plugin to provide OpenSSL capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n %{libname}-plugin-openssl
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-ossl.*

#------------------------------------------------------------------------------

%package -n %{libname}-plugin-pkcs11
Summary: PKCS11 plugin for QCA
Group: Development/KDE and Qt
Version: %{pack_ver}
BuildRequires: openssl-devel
BuildRequires: pkcs11-helper-devel
Provides: qca2-pkcs11 = %version
Provides: qca2-plugin-pkcs11-%{_lib} = %{version}-%{release}
Obsoletes: qca2-plugin-pkcs11-%{_lib} < 2.0.0-5

%description -n %{libname}-plugin-pkcs11
This is a plugin to provide PKCS11 capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n %{libname}-plugin-pkcs11
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-pkcs11.*

#------------------------------------------------------------------------------

%package -n %{libname}-plugin-cyrus-sasl
Summary: Cyrus-sasl plugin for QCA
Group: Development/KDE and Qt
Version: %{pack_ver}
BuildRequires: libsasl2-devel
Provides: qca2-sasl = %version
Provides: qca2-plugin-cyrus-sasl-%{_lib} = %{version}-%{release}
Obsoletes: qca2-plugin-cyrus-sasl-%{_lib} < 2.0.0-5

%description -n %{libname}-plugin-cyrus-sasl
This is a plugin to provide cyrus-sasl capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n %{libname}-plugin-cyrus-sasl
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-cyrus-sasl.*

#------------------------------------------------------------------------------

%package -n %{libname}-plugin-logger
Summary: Logger plugin for QCA
Group: Development/KDE and Qt
Version: %{pack_ver}
Provides: qca2-logger = %version
Provides: qca2-plugin-logger-%{_lib} = %{version}-%{release}
Obsoletes: qca2-plugin-logger-%{_lib} < 2.0.0-5

%description -n %{libname}-plugin-logger
This is a plugin to provide logger capability to programs that
utilize the Qt Cryptographic Architecture (QCA).

%files -n %{libname}-plugin-logger
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{qt4plugins}/crypto/libqca-logger.*

#------------------------------------------------------------------------------

%prep
%setup -q -c -n qca-plugins 
%setup -q -n qca-plugins -T -D -a 0
%setup -q -n qca-plugins -T -D -a 1
%setup -q -n qca-plugins -T -D -a 2
%setup -q -n qca-plugins -T -D -a 3
%setup -q -n qca-plugins -T -D -a 4
# (Anssi 05/2008) Changing %src_ver breaks these. This src.rpm should be splitted.
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
cd qca-ossl-%{src_ver} 
%patch6 -p5
cd -

%build
for plugin in qca-gnupg qca-pkcs11 qca-cyrus-sasl qca-logger qca-ossl; do
  pushd ${plugin}-%{src_ver}
    # Call qt4env
    qmake 
    make
  popd
done

%install
rm -rf %{buildroot}
for plugin in qca-gnupg qca-pkcs11 qca-cyrus-sasl qca-logger qca-ossl; do
  pushd ${plugin}-%{src_ver}
   %__mkdir -p  %buildroot%{qt4plugins}/crypto/
   install -m 755 lib/* %buildroot%{qt4plugins}/crypto/
  popd
done

%clean
rm -rf %buildroot




%changelog
* Tue May 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2.0.0-7mdv2009.0
+ Revision: 211909
- Qt libraries and plugins are in _libdir now

* Tue May 27 2008 Helio Chissini de Castro <helio@mandriva.com> 2.0.0-6mdv2009.0
+ Revision: 211496
- Rebuild against new qt4

* Wed May 14 2008 Anssi Hannula <anssi@mandriva.org> 2.0.0-5mdv2009.0
+ Revision: 207310
- fix build by adding includes (includes.patch, P1-P5)
- fix build by backporting stub setsessionid from svn
  (setsessionid-stub.patch, P6)
- move 'lib' in plugin package names to the beginning where it usually
  is (this also fixes problems with old packages in repo having
  unversioned obsoletes on the previous package names)

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - clean spec file
    - Fix patch0 and apply

  + Helio Chissini de Castro <helio@mandriva.com>
    - Starting to push new infrastructure for devel KDE 4.1. KDE 4 will be on / now. KDE is dead. Long live KDE vi kdenetwork4/SPECS/kdenetwork4.spec ;-)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-not-capitalized
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Oct 30 2007 Nicolas Lécureuil <neoclust@mandriva.org> 2.0.0-1mdv2008.1
+ Revision: 103672
- Qca2 2.0.0 (needed for kopete from kde4 )

* Fri Aug 10 2007 Helio Chissini de Castro <helio@mandriva.com> 2.0-0.beta7.1mdv2008.0
+ Revision: 61667
- Finally an compilable version of qca2 plugins. Last version was not compiling due a detected bug in Qt 4 moc preprocessor.


* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 17:05:54 (27025)
- Raise version

* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 17:04:00 (27024)
- Wrong requires for version of lib64qca2

* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 16:52:00 (27023)
- New plugins package. Thanks to Cliff Dugal and David Walluck
- Plugin names ar modified to match current ones on qt4 package

* Tue May 09 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-09 16:21:49 (27020)
- Created package qca2-plugins

* Thu May 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-04 16:44:06 (26885)
- qt4 is not nice with parallel building :-(

* Thu May 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-05-04 16:33:55 (26884)
- New layout for package. Thanks to Cliff Dugal for his work.

* Fri Apr 07 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-04-07 16:39:39 (26381)
- New upstream release beta2
- New package thanks to Cliff Dugal. Post adjusts will be needed

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 01:04:48 (1870)
- Fix pkgconfig install dir

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 00:42:15 (1869)
- Fix typo

* Mon Mar 06 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-06 00:12:04 (1867)
- Be assure that lib is installed in proper arch dir

* Sun Mar 05 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-05 23:50:17 (1866)
- First package for qca2 ready. A good solution to sit in Qt space for this
  specific qca sets comes to avoid problems between old and new qca packages

* Sat Mar 04 2006 Helio Chissini de Castro <helio@mandriva.com>
+ 2006-03-04 16:06:13 (1860)
- Copy old qca package to create new qca2 package
  A    svn+ssh://helio@svn.mandriva.com/svn/mdv/cooker/qca2

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 19:27:18 (1288)
- Proper patch for libdir

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 19:20:41 (1287)
- Patch for lib64 should be applied just for 64

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 19:16:49 (1286)
- Initial svn import
- Relocate plugins for correct arch path, lib64 or lib.
- Cleaned spec removing old perl changes for lib64. Now just one patch is needed

* Mon Dec 12 2005 Helio Chissini de Castro <helio@mandriva.com>
+ 2005-12-12 18:16:27 (1282)
- Create current for qca package

